<?php
/*
Plugin Name: Logo Showcase
Plugin URI: https://themepoints.com/product/logo-showcase-pro
Description: Logo Showcase plugin allow to Display a list of clients, supporters, partners or sponsors logos in your WordPress website easily.
Version: 1.8
Author: Themepoints
Author URI: http://themepoints.com
TextDomain: logoshowcase
License: GPLv2
*/


if ( ! defined( 'ABSPATH' ) )
die( "Can't load this file directly" );


define('LOGO_SHOWCASE_WP_PLUGIN_PATH', WP_PLUGIN_URL . '/' . plugin_basename( dirname(__FILE__) ) . '/' );
define('logo_showcase_wp_plugin_dir', plugin_dir_path( __FILE__ ) );



/*==========================================================================
	After setup plugins
==========================================================================*/

function logo_showcase_wordpress_init() {

	// include pricing post type
    include("inc/logo-showcase-wordpress-post-type.php");
	// register post type
	add_action('init', 'logo_showcase_wordpress_post_types_register');
	// custom title
	add_filter( 'enter_title_here', 'logo_showcase_wordpress_title' );
	// Include Meta Box Class File
	include( plugin_dir_path( __FILE__ ) . 'metabox/custom-meta-boxes.php' );
	// Include pricing theme File
	include( plugin_dir_path( __FILE__ ) . 'themes/logo-showcase-wordpress-themes.php' );	
	// enqueue scripts
	add_action('wp_enqueue_scripts', 'logo_showcase_wordpress_post_script');
	// add text domain
	add_action('plugins_loaded', 'logo_showcase_wordpress_load_textdomain');
	// admin enqueue scripts
	add_action('admin_enqueue_scripts', 'logo_showcase_wordpress_admin_enqueue_scripts');
	// add meta boxes
	add_action( 'add_meta_boxes', 'logo_showcase_wordpress_add_custom_box' );
	// Do something with the data entered
	add_action( 'save_post', 'logo_showcase_wordpress_save_postdata' );
	
	add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'custom_accordion_buy_action_links' );	
	// filter meta boxes
	add_filter( 'cmb_meta_boxes', 'logo_showcase_wordpress_filter_meta_box' );
	add_filter('widget_text', 'do_shortcode');	
}
add_action('after_setup_theme', 'logo_showcase_wordpress_init');


function tplsw_redirect_options_page( $plugin ) {
	if ( $plugin == plugin_basename( __FILE__ ) ) {
		exit( wp_redirect( admin_url( 'options-general.php' ) ) );
	}
}

add_action( 'activated_plugin', 'tplsw_redirect_options_page' );	




// admin menu
function tplsw_plugins_options_framwrork() {
	add_options_page( 'Pro Version Help & Features', '', 'manage_options', 'tplsw-pro-features', 'tplsw_options_framework_enable' );
}
add_action( 'admin_menu', 'tplsw_plugins_options_framwrork' );


if ( is_admin() ) : // Load only if we are viewing an admin page

function tplsw_options_framework_enable_settings() {
	// Register settings and call sanitation functions
	register_setting( 'logo_showcase_options', 'tp_logo_showcase_options', 'tpls_logo_showcase_options' );
}
add_action( 'admin_init', 'tplsw_options_framework_enable_settings' );



function tplsw_options_framework_enable() {

	if ( ! isset( $_REQUEST['updated'] ) ) {
		$_REQUEST['updated'] = false;
	} ?>


	<div class="wrap about-wrap" id="lsw-optionpage">
		<h1>Welcome to Logo Showcase 1.8 <br /> <span class="description">Thank you for using our Logo Showcase plugin free version.</span></h1>
		<div class="instruction-container">
			<a target="_blank" href="https://themepoints.com/questions-answer">Support</a>
			<a target="_blank" href="https://themepoints.com/logoshowcase">Live Preview</a>
			<a target="_blank" href="https://themepoints.com/logoshowcase/wordpress-installation">Documentation</a>
		</div>

		<div class="feature-section two-col">
			<div class="instruction-premium">
				<div class="premium-left">
					<h2>Premium Version Amazing Features</h2>
				</div>
				<div class="premium-right">
					<h2><a target="_blank" href="https://themepoints.com/product/logo-showcase-pro">Upgrade Pro</a></h2>
				</div>
			</div>
			
			
			<div class="premium-features-area">
				<div class="landingpage-col-lg-3 landingpage-col-sm-2 landingpage-col-xs-1">
					<div class="text-center icon-box-wrap">
						<i class="fa fa-desktop"></i>
						<h4>Fully responsive</h4>
						<div class="desc">
						Logo Showcase is fully responsive in mobile &amp; Desktop devices. It can adapt any screen sizes for achieving best viewing case.
						</div>
					</div>
				</div>
				<div class="landingpage-col-lg-3 landingpage-col-sm-2 landingpage-col-xs-1">
					<div class="text-center icon-box-wrap">
					<i class="fa fa-file-picture-o"></i>
					<h4>Unlimited logo/image Support</h4>
					<div class="desc">
					Logo Showcase allows you to upload unlimited number of logo/images to create logo showcase as you need. We have no limits for upload logos.
					</div>
					</div>
				</div>
				<div class="landingpage-col-lg-3 landingpage-col-sm-2 landingpage-col-xs-1">
					<div class="text-center icon-box-wrap">
					<i class="fa fa-globe"></i>
					<h4>All Browsers Compatible</h4>
					<div class="desc">
					Logo Showcase work's properly in all most popular stable versions of the browsers: IE, Firefox, Safari, Opera, Chrome.
					</div>
					</div>
				</div>
				<div class="landingpage-col-lg-3 landingpage-col-sm-2 landingpage-col-xs-1">
					<div class="icon-box-wrap text-center">
					<i class="fa fa-gears"></i>
					<h4>Powerful Setting panel</h4>
					<div class="desc">
					Logo Showcase Plugin comes with a powerfull admin panel which allows you to deeply
					customize to fit your website.
					</div>
					</div>
				</div>
				<div class="landingpage-col-lg-3 landingpage-col-sm-2 landingpage-col-xs-1">
					<div class="icon-box-wrap text-center">
					<i class="fa fa-qrcode"></i>
					<h4>3 style &amp; multiple columns</h4>
					<div class="desc">
					Logo Showcase Plugin comes with 3 different unique layouts with multiple columns (1/6).
					</div>
					</div>
				</div>
				<div class="landingpage-col-lg-3 landingpage-col-sm-2 landingpage-col-xs-1">
					<div class="icon-box-wrap text-center">
					<i class="fa fa-plug"></i>
					<h4>Lifetime Free Updates</h4>
					<div class="desc">
					All future updates and developments to the Logo Showcase will be completely free once you have bought the project one time.
					</div>
					</div>
				</div>
				<div class="landingpage-col-lg-3 landingpage-col-sm-2 landingpage-col-xs-1">
					<div class="icon-box-wrap text-center">
					<i class="fa fa-paint-brush"></i>
					<h4>Custom Color</h4>
					<div class="desc">
					Logo Showcase Plugin comes with a custom color which allows you to customize background color hover color, title color or overlay color etc.
					</div>
					</div>
				</div>
				<div class="landingpage-col-lg-3 landingpage-col-sm-2 landingpage-col-xs-1">
					<div class="icon-box-wrap text-center">
					<i class="fa fa-life-bouy"></i>
					<h4>24/7 Support</h4>
					<div class="desc">
					We are available for support in case you have any questions, problems or need any help implementing the Logo Showcase. We will do our best to respond as soon as possible.
					</div>
					</div>
				</div>
				<div class="landingpage-col-lg-3 landingpage-col-sm-2 landingpage-col-xs-1">
					<div class="icon-box-wrap text-center">
					<i class="fa fa-paper-plane-o"></i>
					<h4>Quick &amp; Easy Setup</h4>
					<div class="desc">
					Logo Showcase is Fully documented and video tutorials step-by-step guide provided to help you .
					</div>
					</div>
				</div>
			</div>
			
			<div class="premium-features-area2">
				<div class="landingpage-col-lg-3 landingpage-col-sm-2 landingpage-col-xs-1">
					<ul>
						<li><i class="fa fa-check"></i>All features of the free version.</li>
						<li><i class="fa fa-check"></i>Unique Shortcode for each logo showcase.</li>
						<li><i class="fa fa-check"></i>Highly customized for User Experience.</li>
						<li><i class="fa fa-check"></i>Touch & Swipe Enable.</li>
						<li><i class="fa fa-check"></i>Fully Responsive.</li>
						<li><i class="fa fa-check"></i>Clean Design & Code.</li>
						<li><i class="fa fa-check"></i>Easy & Lightweight.</li>
						<li><i class="fa fa-check"></i>Unlimited Shortcode everywhere.</li>
						<li><i class="fa fa-check"></i>Multiple Shortcode in same page.</li>
						<li><i class="fa fa-check"></i>Developer friendly & easy to customize.</li>
						<li><i class="fa fa-check"></i>Order By (date/order/random).</li>
						<li><i class="fa fa-check"></i>Order (Descending/Ascending).</li>
						<li><i class="fa fa-check"></i>Logo Showcase with title & description.</li>
						<li><i class="fa fa-check"></i>Show/hide Most of logo elements.</li>
						<li><i class="fa fa-check"></i>Internal & External Logo links.</li>
						<li><i class="fa fa-check"></i>3 different styles.</li>
						<li><i class="fa fa-check"></i>Carousel & grid styles.</li>
						<li><i class="fa fa-check"></i>Filterable layout.</li>
						<li><i class="fa fa-check"></i>Grid Type (Normal/Filterable).</li>
						<li><i class="fa fa-check"></i>Filter Menu Position.</li>
						<li><i class="fa fa-check"></i>Filter Menu Style.</li>
						<li><i class="fa fa-check"></i>Filter Menu Color.</li>
						<li><i class="fa fa-check"></i>Filter Menu Background Color.</li>
						<li><i class="fa fa-check"></i>Filter Menu Hover Color.</li>
					</ul>
				</div>
				<div class="landingpage-col-lg-3 landingpage-col-sm-2 landingpage-col-xs-1">
					<ul>
						<li><i class="fa fa-check"></i>Filter Menu Hover Bg Color.</li>
						<li><i class="fa fa-check"></i>Support Multiple categories.</li>
						<li><i class="fa fa-check"></i>Support Up To 6 columns.</li>
						<li><i class="fa fa-check"></i>Caption Show/Hide Option.</li>
						<li><i class="fa fa-check"></i>Caption Text Alignment.</li>
						<li><i class="fa fa-check"></i>Caption Font Size.</li>				
						<li><i class="fa fa-check"></i>Caption Text Color.</li>
						<li><i class="fa fa-check"></i>Description Show/Hide Option.</li>
						<li><i class="fa fa-check"></i>Description Text Alignment.</li>
						<li><i class="fa fa-check"></i>Description Font Size.</li>
						<li><i class="fa fa-check"></i>Description Text Color.</li>
						<li><i class="fa fa-check"></i>URL Show/Hide Option.</li>
						<li><i class="fa fa-check"></i>Border Show/Hide Option.</li>
						<li><i class="fa fa-check"></i>Border Size.</li>
						<li><i class="fa fa-check"></i>Border Color.</li>
						<li><i class="fa fa-check"></i>Border Hover Color.</li>
						<li><i class="fa fa-check"></i>Border Radius.</li>
						<li><i class="fa fa-check"></i>Background Color.</li>
						<li><i class="fa fa-check"></i>Custom image size.</li>
						<li><i class="fa fa-check"></i>4 Image Hover Effect.</li>
						<li><i class="fa fa-check"></i>Auto Play on/off option.</li>
						<li><i class="fa fa-check"></i>Slide Delay option.</li>
						<li><i class="fa fa-check"></i>Stop Hover option.</li>
						<li><i class="fa fa-check"></i>logo Margin.</li>

					</ul>
				</div>
				<div class="landingpage-col-lg-3 landingpage-col-sm-2 landingpage-col-xs-1">
					<ul>
						<li><i class="fa fa-check"></i>Navigation show/hide.</li>
						<li><i class="fa fa-check"></i>5 Navigation Position.</li>
						<li><i class="fa fa-check"></i>Navigation Text Color.</li>
						<li><i class="fa fa-check"></i>Navigation hover Text Color.</li>
						<li><i class="fa fa-check"></i>Navigation Background Color.</li>
						<li><i class="fa fa-check"></i>Navigation hover bg Color.</li>
						<li><i class="fa fa-check"></i>Pagination show/hide.</li>
						<li><i class="fa fa-check"></i>4 Pagination Position.</li>
						<li><i class="fa fa-check"></i>Pagination Text Color.</li>
						<li><i class="fa fa-check"></i>Pagination Background Color.</li>
						<li><i class="fa fa-check"></i>Support Up To 6 columns.</li>
						<li><i class="fa fa-check"></i>Tooltip show/hide.</li>
						<li><i class="fa fa-check"></i>4 Tooltip Position.</li>
						<li><i class="fa fa-check"></i>Tooltip text Color.</li>
						<li><i class="fa fa-check"></i>Tooltip Bg Color.</li>
						<li><i class="fa fa-check"></i>Unlimited Styling & Color Options.</li>
						<li><i class="fa fa-check"></i>Online documentation.</li>
						<li><i class="fa fa-check"></i>Unlimited Domain.</li>
						<li><i class="fa fa-check"></i>24/7 Dedicated support forum.</li>
						<li><i class="fa fa-check"></i>Life Time Self hosted auto updated enable.</li>
						<li><i class="fa fa-check"></i>And much more options.</li>
					</ul>
				</div>
			</div>
			
			
			
			<div class="instruction-premium">
				<div class="guranteed">
					<h2>100% Satisfaction Guarantee</h2>
				</div>
				<div class="premium-left">
					<h2>Unlimited License</h2>
				</div>
				<div class="premium-right">
					<h2><a target="_blank" href="https://themepoints.com/product/logo-showcase-pro">Only $25</a></h2>
				</div>
			</div>
			
		</div>

	</div>

	<?php
}


endif;  // EndIf is_admin()




register_activation_hook( __FILE__, 'tplsw_pro_version_plugin_active_hook' );
add_action( 'admin_init', 'tplsw_pro_main_plugin_active_hook' );

function tplsw_pro_version_plugin_active_hook() {
	add_option( 'tplsw_pro_version_redirect_hooks', true );
}

function tplsw_pro_main_plugin_active_hook() {
	if ( get_option( 'tplsw_pro_version_redirect_hooks', false ) ) {
		delete_option( 'tplsw_pro_version_redirect_hooks' );
		if ( ! isset( $_GET['activate-multi'] ) ) {
			wp_redirect( "options-general.php?page=tplsw-pro-features" );
		}
	}
}



function themepoints_logo_showcase_submenu_pages() {
	
	add_submenu_page( 'edit.php?post_type=tplogoshowcase', __('Support', 'logoshowcase'), __('Support', 'logoshowcase'), 'manage_options', 'support', 'themepoints_logo_showcase_support_callback' );		
}

function themepoints_logo_showcase_support_callback() { 
	require_once(plugin_dir_path(__FILE__).'/inc/logo-showcase-admin-info.php');
}			
	
add_action('admin_menu', 'themepoints_logo_showcase_submenu_pages');


/*==========================================================================
	pricing table wordpress enqueue scripts
==========================================================================*/
function logo_showcase_wordpress_post_script(){
    wp_enqueue_script("jquery-ui-sortable");
    wp_enqueue_script("jquery-ui-draggable");
    wp_enqueue_script("jquery-ui-droppable");
	wp_enqueue_style('logo-showcase-style', LOGO_SHOWCASE_WP_PLUGIN_PATH.'css/logo-showcase-wordpress.css');	
	wp_enqueue_style('logo-showcase-owl', LOGO_SHOWCASE_WP_PLUGIN_PATH.'css/owl.carousel.css');	
	wp_enqueue_style('logo-showcase-owl-theme', LOGO_SHOWCASE_WP_PLUGIN_PATH.'css/owl.theme.css');	
	wp_enqueue_style('logo-showcase-owl-transitions', LOGO_SHOWCASE_WP_PLUGIN_PATH.'css/owl.transitions.css');	
	wp_enqueue_script('logo-showcase-owl-js', plugins_url('js/owl.carousel.js', __FILE__), array('jquery'), '2.4', true);	
}


/*==========================================================================
	logo showcase wordpress Load Translation
==========================================================================*/
function logo_showcase_wordpress_load_textdomain(){
	load_plugin_textdomain('logoshowcase', false, dirname( plugin_basename( __FILE__ ) ) .'/languages/' );
}




/*==========================================================================
	logo showcase wordpress Admin enqueue scripts
==========================================================================*/
function logo_showcase_wordpress_admin_enqueue_scripts(){
	global $typenow;

	if(($typenow == 'tplogoshowcase')){
	wp_enqueue_style('logo-showcase-admin-css', LOGO_SHOWCASE_WP_PLUGIN_PATH.'admin/css/logo-showcase-backend-admin.css');

	wp_enqueue_script('logo-showcase-admin-js', LOGO_SHOWCASE_WP_PLUGIN_PATH.'admin/js/logo-showcase-backend-admin.js', array('jquery'), '1.0.0', true );			
	
	wp_enqueue_style('wp-color-picker');	
	wp_enqueue_script( 'logo_showcase_color_picker', plugins_url('admin/js/color-picker.js', __FILE__ ), array( 'wp-color-picker' ), false, true );
	wp_enqueue_script("jquery-ui-sortable");
	wp_enqueue_script("jquery-ui-draggable");
	wp_enqueue_script("jquery-ui-droppable");		
	}
}


function logo_showcase_wordpress_admin_page_scripts(){
	wp_enqueue_style('logo-showcase-landingpage-css', LOGO_SHOWCASE_WP_PLUGIN_PATH.'admin/css/logo-showcase-landingpage.css');
	wp_enqueue_style('logo-showcase-awesome-css', LOGO_SHOWCASE_WP_PLUGIN_PATH.'admin/css/font-awesome.css');
}
add_action('admin_enqueue_scripts', 'logo_showcase_wordpress_admin_page_scripts');



/*==========================================================================
	pricing table wordpress meta boxes
==========================================================================*/

function logo_showcase_wordpress_filter_meta_box( $meta_boxes ) {
  $meta_boxes[] = array(

    'id'          => 'lowo_showcase_wordpress_feature',
    'title'       => 'Logo Showcase Column Features',
    'pages'       => array('tplogoshowcase'),
    'context'     => 'normal',
    'priority'    => 'high',
    'show_names'  => true, 
    'fields' => array(

      array(
        'id'   => 'logo_showcase_columns',
        'name'    => 'Logo Showcase Details',
        'type' => 'group',
        'repeatable'     => true,
        'repeatable_max' => 8,
        
        'fields' => array(

          array(
            'id'              => 'logo_showcase_title',
            'name'            => 'Logo Title',                
            'type'            => 'text',
            'cols'            => 4
            ),          

			
          array(
            'id'              => 'logo_showcase_link_url',
            'name'            => 'Url',                
            'type'            => 'text_url',
            'default'         => '#',
            'cols'            => 4              
            ),

          array(
            'id'              => 'logo_showcase_link_target',
            'name'            => 'Target Link (_self/_blank)',                
            'type'            => 'text',
            'cols'            => 4,
            'default'         => '_self'
            ),
			
          array(
            'id'              => 'logo_showcase_uploader',
            'name'            => 'Upload Logo',                
            'type'            => 'image',
            'cols'            => 4
            )
			

          )
      )
  )
);


return $meta_boxes;
}


/*==========================================================================
	Logo Showcase wordpress register shortcode
==========================================================================*/
function logo_showcase_wordpress_shortcode_register($atts, $content = null){
	$atts = shortcode_atts(
		array(
			'id' => "",
		), $atts);
		global $post;
		$post_id = $atts['id'];
		
		$content = '';
        $content.= Logo_Showcase_wordpress_table_body($post_id);
		return $content;
}
// shortcode hook
add_shortcode('logo_showcase', 'logo_showcase_wordpress_shortcode_register');